import { Dcomm } from "dcomm/dist"
import { InfoAPI } from "dcomm/dist/apis/info"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const info: InfoAPI = dcomm.Info()

const main = async (): Promise<any> => {
  const networkID: number = await info.getNetworkID()
  console.log(networkID)
}

main()
